#!/bin/sh

SSA_CTRL_SLOT=`echo -n "$MONIT_SERVICE" | awk -F'-' '{ print $3 }'`
if [ -z "$SSA_CTRL_SLOT" ]; then
    exit 1
fi

STATUS=`ssacli ctrl slot=$SSA_CTRL_SLOT pd all show | \
    grep physicaldrive | \
    sed -e 's/.*(\(.*\)).*/\1/' | \
    awk -F', ' '{ print $4 }' | \
    grep -v 'OK' | \
    wc -l`
    
exit $STATUS
